summaryrefslogtreecommitdiff
path: root/tests/misc/printf-hex
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2002-11-06 09:19:50 +0000
committerJim Meyering <jim@meyering.net>2002-11-06 09:19:50 +0000
commitb68401890dfc1985c85caaa7e8d7e477f6d92cc7 (patch)
treeed9d861fda3d2b464467fecfe493d9630a437a9a /tests/misc/printf-hex
parent0a5d4112ba0a031583ed67deb51aea6b402d24b4 (diff)
downloadcoreutils-b68401890dfc1985c85caaa7e8d7e477f6d92cc7.tar.xz
Make sure that only two of the `H's in \xHHH are consumed
as part of the \x escape sequence.
Diffstat (limited to 'tests/misc/printf-hex')
-rwxr-xr-xtests/misc/printf-hex35
1 files changed, 35 insertions, 0 deletions
diff --git a/tests/misc/printf-hex b/tests/misc/printf-hex
new file mode 100755
index 000000000..73f4ab024
--- /dev/null
+++ b/tests/misc/printf-hex
@@ -0,0 +1,35 @@
+#!/bin/sh
+# make sure that only two hex. digits are consumed in a \xHHH sequence
+
+prog=`pwd`/../../src/printf
+
+if test "$VERBOSE" = yes; then
+ set -x
+ $prog --version
+fi
+
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap '(exit $?); exit $?' 1 2 13 15
+
+framework_failure=0
+mkdir -p $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo "$0: failure in testing framework" 1>&2
+ (exit 1); exit 1
+fi
+
+fail=0
+
+$prog '\xf73\n' > out || fail=1
+cat <<\EOF > exp
+÷3
+EOF
+
+cmp out exp || fail=1
+test $fail = 1 && diff out exp 2> /dev/null
+
+(exit $fail); exit $fail